### Hierarchy

- DeepCopy<HttpServiceCall>
  - HttpServiceCall

### Implements

- ServiceCall

## Index

### Constructors

- constructor

### Properties

- body
- headers
- httpMethod
- path
- queryParams
- serviceId
- type

### Methods

- copy
- deepCopyFromJson
- toJson
- fromJson

## Constructors

### constructor

- new HttpServiceCall(serviceId?: string, type?: ServiceCallType, httpMethod?: HttpMethod, path?: string, queryParams?: Map<string, string>, headers?: Map<string, Array<string>>, body?: object): HttpServiceCall

- - Defined in repository/models/services/HttpServiceCall.ts:26

  #### Parameters

  - ##### Default value serviceId: string = ""

  - ##### Default value type: ServiceCallType = ServiceCallType.UNDEFINED

  - ##### Default value httpMethod: HttpMethod = HttpMethod.Get

  - ##### Default value path: string = ""

  - ##### Default value queryParams: Map<string, string> = new Map()

  - ##### Default value headers: Map<string, Array<string>> = new Map()

  - ##### Optional body: object

  #### Returns HttpServiceCall

## Properties

### Optional body

body: object

- Defined in repository/models/services/HttpServiceCall.ts:14

### headers

headers: Map<string, Array<string>>

- Defined in repository/models/services/HttpServiceCall.ts:13

### httpMethod

httpMethod: HttpMethod

- Defined in repository/models/services/HttpServiceCall.ts:10

### path

path: string

- Defined in repository/models/services/HttpServiceCall.ts:11

### queryParams

queryParams: Map<string, string>

- Defined in repository/models/services/HttpServiceCall.ts:12

### serviceId

serviceId: string

Implementation of ServiceCall.serviceId

- Defined in repository/models/services/HttpServiceCall.ts:8

### type

type: ServiceCallType

Implementation of ServiceCall.type

- Defined in repository/models/services/HttpServiceCall.ts:9

## Methods

### copy

- copy(changeArgs?: JsonObject<HttpServiceCall>): HttpServiceCall

- Inherited from DeepCopy.copy

  - Defined in repository/models/DeepCopy.ts:7

  #### Parameters

  - ##### Optional changeArgs: JsonObject<HttpServiceCall>

  #### Returns HttpServiceCall

### Protected deepCopyFromJson

- deepCopyFromJson(): HttpServiceCall

- Overrides DeepCopy.deepCopyFromJson

  - Defined in repository/models/services/HttpServiceCall.ts:55

  #### Returns HttpServiceCall

### toJson

- toJson(): object

- Implementation of ServiceCall.toJson

  - Defined in repository/models/services/HttpServiceCall.ts:47

  #### Returns object

### Static fromJson

- fromJson(json: JsonObject<HttpServiceCall>): HttpServiceCall

- - Defined in repository/models/services/HttpServiceCall.ts:16

  #### Parameters

  - ##### json: JsonObject<HttpServiceCall>

  #### Returns HttpServiceCall

Generated using TypeDoc